/* The Modal (background) */
.modal {
    position: fixed;
    z-index: 1;
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.4);
}

/* Modal Content */
.modal-content {
    position: relative;
    margin: auto;
    background-color: #eee;
    padding: 0;
    color: #000;
    width: 50vh;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    -webkit-animation-name: animatetop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatetop;
    animation-duration: 0.4s
}

.modal-content a {
    color: #000;
}

/* Add Animation */
@-webkit-keyframes animatetop {
    from {top:-300px; opacity:0}
    to {top:0; opacity:1}
}

@keyframes animatetop {
    from {top:-300px; opacity:0}
    to {top:0; opacity:1}
}

/* The Close Button */
.modal-close {
    margin-top: -4px;
    float: right;
    font-size: 25px;
    font-weight: bold;
    text-decoration: none;
}

.modal-header {
    padding: 12px 16px;
    background-color: #cfe8fb;
}

.modal-header span {
    margin-top: -5px;
}

.modal-body {
    padding: 16px 0;
}

.modal-input-container {
    width: 100%;
    padding-bottom: 16px;
}

.modal-input-title {
    font-weight: bold;
    padding-bottom: 7px;
    padding-left: 20px;
}

.modal-input {
    padding: 0 20px;
}

.modal-input input {
    background: #fff;
    max-width: 90%;
    padding: 5px 0 5px 8px;
    text-overflow: ellipsis;
}

.modal-input a {
    font-size: 21px;
    float: right;
    margin-top: 6px;
    padding-left: 7px;
    padding-right: 1%;
    text-decoration: none;
}

/* Dark theme */
.darkTheme .modal-content {
    border: 1px solid #444;
}

.darkTheme .modal-header {
    background-color: #313131;
}

.darkTheme .modal-input input {
    background-color: #313131;
    color: #DDDDCE;
}

.darkTheme .share-mail-btn {
    border: 1px solid #444;
    background-color: #313131;
}

/* Responsive design */
@media handheld, screen and (max-width: 800px) {
    .modal-input input {
        max-width: 85%;
    }

    .modal-input a {
        padding-right: 0;
    }
}

/* Share modal */
.share-mail-btn {
    background-color: #fff;
    text-decoration: none;
    padding: 8px;
    width: 60px;
    display: block;
    margin: auto;
    text-align: center;
}
